Skip to main content
GET
/
v5
/
auth
/
userInfo
Get user info
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/auth/userInfo \
  --header 'Authorization: Bearer <token>'
{
  "userId": "<string>",
  "email": "<string>",
  "firstName": "<string>",
  "lastName": "<string>",
  "bizName": "Better Homes and Gardens",
  "phoneWork": "<string>",
  "address1": "<string>",
  "address2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zip": "<string>",
  "entityType": "SOLE_PROPRIETORSHIP",
  "accountingMethod": "CASH",
  "itemizePayouts": true,
  "suggestRules": true,
  "currentFiscalYear": 123,
  "taxCountryCode": "USA",
  "language": "EN",
  "userRole": "OWNER",
  "availableFeatures": {
    "bankTransactions": true,
    "bills": true,
    "bookkeeping": true,
    "imports": true,
    "invoicing": true,
    "payroll": true,
    "reporting": true,
    "taxes": true,
    "timeTracking": true
  },
  "mcc": 5812,
  "naics": 722511,
  "federalTaxIdInfo": {
    "type": "EIN",
    "number": "123456789"
  },
  "bankInfo": {
    "routingNumber": "111000025",
    "accountNumber": "9876543210"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

200 - application/json

Successful operation

userId
string

Id of the user in your DB

email
string

Email of the user

firstName
string

First name of the user

lastName
string

Last name of the user

bizName
string

Business name for the user's primary line of work

Example:

"Better Homes and Gardens"

phoneWork
string

The user's phone number

address1
string

First line of the user's address

address2
string

Second line of the user's address

city
string

City of the user's address

state
string

State/Province of the user's address

zip
string

Zip/Postal code of the user's address

entityType
enum<string>

Type of entity belonging to the user

Available options:
SOLE_PROPRIETORSHIP,
LLP,
LLC,
S_CORP,
C_CORP
accountingMethod
enum<string>

Accounting method used by the user

Available options:
CASH,
ACCRUAL
itemizePayouts
boolean

Whether the transactions comprising payouts should be displayed in an itemized manner. Defaults to true. Should be set to false if the line of business (e.g. Coffee Shop) is such that each payout comprises so many individual transactions that the granularity would be overbearing for the business owner to see. Note: the full granularity is always preserved and this flag can be toggled on/off at any time

Example:

true

suggestRules
boolean

Whether Tight's categorization engine should automatically suggest rules. Defaults to true.

Example:

true

currentFiscalYear
integer<int32>

The user's current fiscal year

taxCountryCode
enum<string>

Country code representing where the user is located

Available options:
USA,
CAN
language
enum<string>

Language used by the user

Available options:
EN,
ES,
FR,
ZH,
ID
userRole
enum<string>

User role of user

Available options:
OWNER,
READ_ONLY
availableFeatures
object

Available features for the user

mcc
integer<int64>

Merchant Category Code (MCC) for the business

Example:

5812

naics
integer<int64>

North American Industry Classification System (NAICS) code for the business

Example:

722511

federalTaxIdInfo
object

Federal tax id info for the user

bankInfo
object

Bank info for the user